package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.PromotionListModel

interface PromotionsInteractor {

    interface View {

        fun onGetPromotionSucceed(promotionList: ArrayList<PromotionListModel>)
        fun onGetPromotionFailed(error: VolleyError)
        fun onItemClick(index: String)
    }

    interface Presenter {

        fun onGetPromotion(phone: String)
    }
}